For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterOpenAPI SpecStatus
OverviewInquiriesTransactionsRelaysAPI ReferenceChangelog
OverviewInquiriesTransactionsRelaysAPI ReferenceChangelog
  • Getting Started
    • Introduction
    • Quickstart Tutorial
  • API Overview
    • API Keys
    • Authentication
    • Protocol
    • Response Body
    • Idempotence
    • Pagination
    • Rate Limiting
    • Downloading Files
    • API Logs
    • Request IDs
  • Versioning
    • API Changelog
    • Versioning
  • Troubleshooting
    • Error Handling
  • API Reference
    • OpenAPI Specification
    • Cases
    • Connect
    • Documents
      • GETRetrieve a Generic Document
      • GETRetrieve a Government Id Document
      • GETRetrieve a Document
    • Inquiries
    • List Items
    • Lists
    • OAuth
    • Reports
    • Transactions
    • Verifications
    • Workflows
  • Webhooks
LogoLogo
Help CenterOpenAPI SpecStatus
API ReferenceDocuments

Retrieve a Government Id Document

GET
https://api.withpersona.com/api/v1/document/government-ids/:document-id
GET
/api/v1/document/government-ids/:document-id
$curl https://api.withpersona.com/api/v1/document/government-ids/document-id \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "id": "doc_vXwNeVfVCcgedQ2Sg4R5F9VD",
4 "attributes": {
5 "address-city": "San Francisco",
6 "address-postal-code": "94111",
7 "address-street-1": "123 Main St",
8 "address-street-2": null,
9 "address-subdivision": "CA",
10 "back-photo": null,
11 "birthdate": "1994-12-30",
12 "birthplace": null,
13 "created-at": "2024-01-23T20:54:08.000Z",
14 "designations": [],
15 "document-number": null,
16 "endorsements": null,
17 "expiration-date": "2029-05-11",
18 "front-photo": {
19 "filename": "persona_camera_1706043245796.jpg",
20 "url": "https://files.withpersona.com/persona_camera_1706043245796.jpg?access_token=ACCESS_TOKEN",
21 "byte-size": 298279
22 },
23 "height": null,
24 "id-class": "dl",
25 "identification-number": "25995844",
26 "issue-date": "2021-04-29",
27 "issuing-authority": null,
28 "issuing-subdivision": "CA",
29 "name-first": "Jane",
30 "name-last": "Doe",
31 "name-middle": "Marie",
32 "name-suffix": null,
33 "nationality": null,
34 "processed-at": "2024-01-23T20:54:14.000Z",
35 "processed-at-ts": 1706043254,
36 "restrictions": null,
37 "selfie-photo": {
38 "filename": "selfie_photo.jpg",
39 "url": "https://files.withpersona.com/selfie_photo.jpg?access_token=ACCESS_TOKEN",
40 "byte-size": 11686
41 },
42 "sex": null,
43 "status": "processed",
44 "vehicle-class": null,
45 "visa-status": null
46 },
47 "relationships": {
48 "inquiry": {
49 "data": {
50 "id": "inq_VbHWkX4hjmZryYCTGtVWHFRy",
51 "type": "inquiry"
52 }
53 },
54 "template": {},
55 "inquiry-template-version": {
56 "data": {
57 "id": "itmplv_HAVumeSgCxWxhVb8tTRjaiUB",
58 "type": "inquiry-template-version"
59 }
60 },
61 "inquiry-template": {
62 "data": {
63 "id": "itmpl_srQQ2Ui2gvNY353u65vD61gr",
64 "type": "inquiry-template"
65 }
66 },
67 "document-files": {
68 "data": []
69 }
70 },
71 "type": "document/government-id"
72 }
73}

Retrieves the details of a government-id document that has been previously created.

Was this page helpful?
Previous

Retrieve a Document

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

document-idstringRequired

Headers

Key-InflectionenumOptional
Determines casing for the API response.
Allowed values:
Idempotency-KeystringOptional
Ensures the request is idempotent.
Persona-VersionenumOptional
Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).

Query parameters

includestringOptional
A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details.
fieldsmap from strings to stringsOptional
Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details.

Response

This endpoint returns a Government ID Document object and (optionally) its related objects in included.

dataobject
A Document Government ID object
includedlist of objects

Objects that may be returned if specified via the include query parameter in the request.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error

Server API version. More info on versioning can be found here.

A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the included key in the response. See Serialization for more details.

Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details.